import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { NGXLogger } from 'ngx-logger';
import { FileEventJson } from '@ucap-webmessenger/protocol-event';

@Component({
  selector: 'ucap-chat-message-box-video',
  templateUrl: './video.component.html',
  styleUrls: ['./video.component.scss']
})
export class VideoComponent implements OnInit {
  @Input()
  fileInfo: FileEventJson;
  @Input()
  expired = false;

  @Output()
  save = new EventEmitter<string>();

  constructor(private logger: NGXLogger) {}

  ngOnInit() {}

  onClickSave() {
    this.save.emit('save');
  }
  onClickSaveAs() {
    this.save.emit('saveAs');
  }
}
